<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>cn.sam</groupId>
    <artifactId>SamService</artifactId>
    <version>1.0-SNAPSHOT</version>
  </parent>
  <artifactId>SamLims-facade</artifactId>
  <packaging>jar</packaging>  
  <name>SamLims-facade</name>
  
  <dependencies>
		<dependency>
            <groupId>cn.sam</groupId>
            <artifactId>SamLims-common</artifactId>
        </dependency>
       <dependency>
            <groupId>cn.sam</groupId>
            <artifactId>SamLims-schedule</artifactId>
        </dependency>
         <dependency>
            <groupId>cn.sam</groupId>
            <artifactId>SamLims-security</artifactId>
        </dependency>
         <dependency>
            <groupId>cn.sam</groupId>
            <artifactId>SamLims-logger</artifactId>
       </dependency> 
       <dependency>
            <groupId>cn.sam</groupId>
            <artifactId>SamLims-orm</artifactId>
       </dependency> 
       <dependency>
            <groupId>cn.sam</groupId>
            <artifactId>SamLims-monitor</artifactId>
       </dependency> 
       <dependency>
            <groupId>cn.sam</groupId>
            <artifactId>SamLims-report</artifactId>
       </dependency> 
      <dependency>
            <groupId>cn.sam</groupId>
            <artifactId>SamLims-cloud</artifactId>
       </dependency>

      <!-- SFTP传输文件  -->
      <dependency>
          <groupId>com.hierynomus</groupId>
          <artifactId>sshj</artifactId>
          <version>0.35.0</version>
      </dependency>

      <!-- 语音通讯与转化文字  -->
      <dependency>
          <groupId>cn.hutool</groupId>
          <artifactId>hutool-all</artifactId>
          <version>5.8.12</version>
      </dependency>
      <dependency>
          <groupId>com.github.mdzhb</groupId>
          <artifactId>jt-adpcm</artifactId>
          <version>1.1.0</version>
      </dependency>
      <dependency>
          <groupId>com.alphacephei</groupId>
          <artifactId>vosk</artifactId>
          <version>0.3.45</version>
      </dependency>

       <dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-websocket</artifactId>
	    </dependency>
	    
	    <dependency>
           <groupId>org.apache.commons</groupId>
          <artifactId>commons-lang3</artifactId>
        </dependency>
	   
	   	<!--RabbitMQ消息队列相关依赖-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-amqp</artifactId>
		</dependency>
		<!-- UDP -->
		 <dependency>
            <groupId>org.springframework.integration</groupId>
            <artifactId>spring-integration-ip</artifactId>
        </dependency>
        <!-- UniApp推送 -->
   	   <dependency>
			<groupId>com.gexin.platform</groupId>
			<artifactId>gexin-rp-sdk-http</artifactId>
			<version>${gexin.version}</version>
		</dependency>
      <dependency>
          <groupId>org.freemarker</groupId>
          <artifactId>freemarker</artifactId>
      </dependency>
  </dependencies>
    <!-- UniApp推送 --> 
	<repositories>
        <repository>
           <id>getui-nexus</id>
           <url>https://mvn.getui.com/nexus/content/repositories/releases/</url>
        </repository>
    </repositories>
</project>